Name:          jbet
Version:       3
Release:       %mkrel 1
Summary:       The Java Binary Enhancement Tool (JBET)
Group:         Development/Java
License:       BSD
Url:           http://www.isso.sparta.com/opensource/jbet/index.html
Source0:       http://www.isso.sparta.com/opensource/jbet/downloads/jbet3-R1.tgz
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: make
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Java Binary Enhancement Tool (JBET) is a general Java program analysis and manipulation tool.
Existing class files can be disassembled, reassembled, or edited programmatically through the
JBET API. JBET can also be used to create new Java class files from scratch.
JBET uses a convenient internal representation of all the contents of Java binary (.class) files,
allowing the user to edit the classes easily, in a structured manner.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
The Java Binary Enhancement Tool (JBET).

This package contains javadoc for %{name}.

%prep
%setup -q -n jbet%{version}

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

sed -i 's/\r//g'  COPYING DEVELOPMENT README

%build
cd src
export CLASSPATH=$(build-classpath junit)
export JAVA_HOME=%java_home
JAVAC=%java_home/bin/javac \
JAVA=%java_home/bin/java \
JAR=%java_home/bin/jar \
USER_JFLAGS="-source 1.4 -target 1.4" \
make jar

javadoc -d ../javadoc \
  -classpath ../jbet.jar \
  -source 1.4 \
  -encoding iso-8859-1 \
  $(find jbet -name "*.java")

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -m 644 jbet.jar \
  %{buildroot}%{_javadir}/jbet-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jbet-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/jbet-%{version}
ln -s jbet-%{version} %{buildroot}%{_javadocdir}/jbet

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/jbet-%{version}.jar
%{_javadir}/jbet.jar
%doc COPYING DEVELOPMENT README

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jbet-%{version}
%{_javadocdir}/jbet



%changelog

* Thu Oct 27 2011 gil <gil> 3-1.mga2
+ Revision: 158844
- imported package jbet


* Wed Jun 15 2011 gil <gil> 3-0.%%mkrel
- initial rpm

